"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.yarnGlobalModule = exports.npmGlobalModule = exports.localModule = exports.BALM_CORE_PACKAGE_NAME = void 0;
var _path = _interopRequireDefault(require("path"));
var _globalDirs = _interopRequireDefault(require("global-dirs"));
var BALM_CORE_PACKAGE_NAME = exports.BALM_CORE_PACKAGE_NAME = 'balm-core';
var useTslib = process.env.BALM_TS || process.argv.includes('--balm-ts');
var lib = useTslib ? 'tslib' : 'lib';
var localModule = exports.localModule = process.env.BALM_CORE ? _path["default"].join(process.env.BALM_CORE, lib) : _path["default"].join(process.cwd(), 'node_modules', BALM_CORE_PACKAGE_NAME, lib);
var npmGlobalModule = exports.npmGlobalModule = _path["default"].join(_globalDirs["default"].npm.packages, BALM_CORE_PACKAGE_NAME, lib);
var yarnGlobalModule = exports.yarnGlobalModule = _path["default"].join(_globalDirs["default"].yarn.packages, BALM_CORE_PACKAGE_NAME, lib);